class BioGRIDReader:
    """
    Reads a BioGRID database file.
    """
    def __init__(self, file_path):
        """
        :param file_path: path to the BioGRID file
        """
        # TODO
        raise NotImplementedError

    def most_abundant_taxon_ids(self, n):
        """
        Compute the organisms with the most interactions in BioGRID.
        :param n: number of organisms
        :return: the n organisms with the most interactions and the respective number of interactions
        """
        # TODO
        raise NotImplementedError

    def network_size(self, taxon_id):
        """
        :param taxon_id: NCBI taxon ID of an organism
        :return: number of interactions for the specified organism
        :raise: ValueError if there is no organism with that ID
        """
        # TODO
        raise NotImplementedError

    def export_network(self, taxon_id, file_path):
        """
        Writes the interactions of the specified organism into the specified file.
        :param taxon_id: NCBI taxon ID of an organism
        :param file_path: path to the output network file
        :raise: ValueError if there is no organism with that ID
        """
        # TODO
        raise NotImplementedError

