from abstract_network import AbstractNetwork


class ScaleFreeNetwork(AbstractNetwork):
    def __create_network__(self, n_nodes, n_edges):
        """
        Creates a scale-free network using the Barabasi-Albert method.
        1. create 3 nodes and fully connect them
        2. add the remaining number of nodes:
            - for each node add the specified number of new edges
        Make sure that you do not create infinite loops, do not add self-edges and do not add edges more than once.
        :param n_nodes: total number of nodes to be created
        :param n_edges: number of edges to add for each new node
        """
        # TODO
        raise NotImplementedError
